package com.dbs.consentServer.mapper;

import java.util.ArrayList;
import java.util.HashMap;

import com.dbs.consentServer.DTO.hospitalDTO.PatientInfoDTO;
import com.dbs.consentServer.DTO.hospitalDTO.PatientListDTO;
import com.dbs.consentServer.VO.hospitalVO.ConsentFormCategoryVO;
import com.dbs.consentServer.VO.hospitalVO.GetDoctorVO;
import com.dbs.consentServer.VO.hospitalVO.GetPatientInfoVO;
import com.dbs.consentServer.VO.hospitalVO.GetPatientVO;
import com.dbs.consentServer.VO.hospitalVO.GetUserDeptVO;
import com.dbs.consentServer.VO.hospitalVO.GetWardDeptVO;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface HospitalMapper {
  public String getBaseData(String instCd);
  public String doLogin(String userId);
  public ArrayList<GetUserDeptVO> getUserDeptList(HashMap<String, String> params);
  public ArrayList<GetWardDeptVO> getWardList(String instCd);
  public ArrayList<GetWardDeptVO> getDeptList(HashMap<String, String> params);
  public ArrayList<GetDoctorVO> getDoctorList(HashMap<String, String> params);
  public ArrayList<GetPatientVO> getInPatientList(PatientListDTO patientListDTO);
  public ArrayList<GetPatientVO> getOutPatientList(PatientListDTO patientListDTO);
  public ArrayList<GetPatientVO> getOpPatientList(PatientListDTO patientListDTO);
  public ArrayList<GetPatientVO> getErPatientList(PatientListDTO patientListDTO);
  public ArrayList<GetPatientInfoVO> getPatientInfoIn(PatientInfoDTO patientInfoDTO);
  public ArrayList<GetPatientInfoVO> getPatientInfoOut(PatientInfoDTO patientInfoDTO);
  public Integer setUserFormSet(HashMap<String, String> params);
  public Integer delUserFormSet(HashMap<Object, Object> params);
  public ArrayList<ConsentFormCategoryVO> getConsentFormCategory();
  public Integer updateUserSetUp(HashMap<String, String> params);
  
}
